// M Jones 2019
// mpjones@cstalk.org.uk

#include <LiquidCrystal.h>

// Initialize LCD
LiquidCrystal lcd(12, 11, 7, 6, 5, 4);

int ldrPin = A5; // assign an analog pin to the LDR
int ldrVal = 0; // initialise the value of the LDR variable

void setup() {
  lcd.begin(16, 2);
  // Print a startup message for 1/2 second
  lcd.print("Here we go .....!");
  delay(500);
  lcd.clear(); // remove startup message
}

// Display Light Reading
void loop() {
  ldrVal = analogRead(ldrPin); // get the LDR reading
  lcd.print("Light Level: "); // text to tell reader what is being displayed
  lcd.print(ldrVal); // Light level
  delay(500); // Reading taken every 1/2 second. You might want to extend this when testing water
  lcd.clear(); // Clear LCD so that next reading can be shown
}


